<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::create('featured_groups', function (Blueprint $table) {
            $table->id();
            $table->string('tenant_codigo');
            $table->string('group_name');
            $table->enum('product_layout', ['row', 'column_with_image', 'column_with_cart']);
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::dropIfExists('featured_groups');
    }
};
